Typedefs | Functions

# random_.h File Reference

`#include "wizard/hmac.h"`

Go to the source code of this file.

## Typedefs
typedef struct _RandomInfo | RandomInfo
## Functions
WizardExport double | GetPseudoRandomValue (RandomInfo *)
WizardExport double | GetRandomValue (RandomInfo *)
WizardExport RandomInfo * | AcquireRandomInfo (const HashType)
WizardExport RandomInfo ** | DestroyRandomInfo (RandomInfo *)
WizardExport StringInfo * | GetRandomKey (RandomInfo *, const size_t)
WizardExport void | RandomComponentTerminus (void)
WizardExport void | SeedPseudoRandomGenerator (const size_t)
WizardExport void | SetRandomKey (RandomInfo *, const size_t, unsigned char *)
WizardExport void | SetRandomTrueRandom (const WizardBooleanType)
WizardExport WizardBooleanType | RandomComponentGenesis (void)

## Typedef Documentation

typedef struct _RandomInfo RandomInfo

## Function Documentation

WizardExport RandomInfo* AcquireRandomInfo | ( | const | HashType | ) |

WizardExport RandomInfo* * DestroyRandomInfo | ( | RandomInfo * |  | ) |

References CipherDomain, DestroyHMACInfo(), DestroySemaphoreInfo(), DestroyStringInfo(), GetWizardModule, _RandomInfo::hmac_info, LockSemaphoreInfo(), LogWizardEvent(), _RandomInfo::nonce, RelinquishWizardMemory(), _RandomInfo::reservoir, ResetWizardMemory(), _RandomInfo::seed, _RandomInfo::semaphore, _RandomInfo::signature, TraceEvent, UnlockSemaphoreInfo(), WizardAssert, and WizardSignature.

Referenced by AsynchronousResourceComponentTerminus(), DestroyCipherInfo(), DestroyKeyInfo(), and DestroySecretInfo().

WizardExport double GetPseudoRandomValue | ( | RandomInfo * |  | ) |

WizardExport StringInfo* GetRandomKey | ( | RandomInfo * | ,
|  | const | size_t |
| ) |  |  |

References AcquireStringInfo(), CipherDomain, GetStringInfoDatum(), SetRandomKey(), and WizardAssert.

Referenced by AcquireRandomInfo(), AcquireUniqueFileResource(), GenerateCipherNonce(), GenerateSecretKey(), and GenerateSessionKey().

WizardExport double GetRandomValue | ( | RandomInfo * |  | ) |

References SetRandomKey().

WizardExport WizardBooleanType RandomComponentGenesis | ( | void |  | ) |

References AcquireSemaphoreInfo(), random_semaphore, and WizardTrue.

Referenced by WizardsToolkitGenesis().

WizardExport void RandomComponentTerminus | ( | void |  | ) |

WizardExport void SeedPseudoRandomGenerator | ( | const | size_t | ) |

WizardExport void SetRandomKey | ( | RandomInfo * | ,
|  | const | size_t,
|  | unsigned char * |  |
| ) |  |  |

WizardExport void SetRandomTrueRandom | ( | const | WizardBooleanType | ) |

References gather_true_random.